Blog
Note: All endpoints require authentication and an
X-Tenantheader. See Authentication overview and How to get API information. Paths are relative to your intranet's API base URL. An Access line appears where an endpoint needs more than a signed-in user.
Endpoints on this page
- GET /api/blog/active
- GET /api/blog/inactive
- GET /api/blog/most-subscribed
- GET /api/blog/{blogId}
- POST /api/blog
- PUT /api/blog/{blogId}/activate
- GET /api/blog/blog-post/featured
- GET /api/blog/blog-post/latest
- GET /api/blog/blog-post/popular
- GET /api/blog/blog-post/subscribed
- GET /api/blog/blog-post/{blogPostId}
- GET /api/blog/{blogId}/blog-post
- GET /api/person/{id}/blog-post
- POST /api/blog/{blogId}/blog-post/date
- POST /api/blog/{blogId}/blog-post/{blogPostId}/like
- POST /api/blog/{blogId}/blog-post/{blogPostId}/share
- PUT /api/blog/{blogId}/blog-post/{blogPostId}
- DELETE /api/blog/{blogId}/blog-post/{blogPostId}
- DELETE /api/blog/{blogId}/blog-post/{blogPostId}/like
- GET /api/blog/person/blog-configuration
- GET /api/blog/{blogId}/person/{personId}/is-subscribed
- POST /api/blog/person/{personId}/blog-activate
- POST /api/blog/{blogId}/person/{personId}/subscribe
- POST /api/blog/{blogId}/person/{personId}/unsubscribe
- GET /api/blog/post/{postId}
- GET /api/blog/post/{postId}/like
- PUT /api/blog/post/{postId}/active
- PUT /api/blog/post/{postId}/featured
GET /api/blog/active
Get a list of active blogs
🔒Access — Requires the ADMIN_CONTENT_BLOGS permission
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
offset |
query | integer (int32) | No | |
limit |
query | integer (int32) | No |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 404 |
Response body
{
"StatusCode": "Continue",
"Page": {
"Items": [
{
"BlogId": 0,
"PersonId": 0,
"Summary": "string",
"Active": true,
"SectionId": 0,
"PublicPrivate": true,
"BlogType": 0,
"IsSubscribed": true,
"Owner": {
"Id": 0,
"AssetId": 0,
"Name": "string"
}
}
],
"HasResults": true,
"Info": {
"TotalResults": 0,
"Limit": 0,
"Offset": 0
}
},
"ErrorMessages": [
"string"
]
}| Field | Type |
|---|---|
StatusCode | string |
Page | object |
ErrorMessages | array of string |
GET /api/blog/inactive
Get a list of inactive blogs
🔒Access — Requires the ADMIN_CONTENT_BLOGS permission
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
offset |
query | integer (int32) | No | |
limit |
query | integer (int32) | No |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 404 |
Response body
{
"StatusCode": "Continue",
"Page": {
"Items": [
{
"BlogId": 0,
"PersonId": 0,
"Summary": "string",
"Active": true,
"SectionId": 0,
"PublicPrivate": true,
"BlogType": 0,
"IsSubscribed": true,
"Owner": {
"Id": 0,
"AssetId": 0,
"Name": "string"
}
}
],
"HasResults": true,
"Info": {
"TotalResults": 0,
"Limit": 0,
"Offset": 0
}
},
"ErrorMessages": [
"string"
]
}| Field | Type |
|---|---|
StatusCode | string |
Page | object |
ErrorMessages | array of string |
GET /api/blog/most-subscribed
List the most subscribed blogs.
🔒Access — Requires the ADMIN_CONTENT_BLOGS permission
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
offset |
query | integer (int32) | No | |
limit |
query | integer (int32) | No |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 500 |
Response body
{
"StatusCode": "Continue",
"Page": {
"Items": [
{
"BlogId": 0,
"PersonId": 0,
"Summary": "string",
"Active": true,
"SectionId": 0,
"PublicPrivate": true,
"BlogType": 0,
"IsSubscribed": true,
"Owner": {
"Id": 0,
"AssetId": 0,
"Name": "string"
}
}
],
"HasResults": true,
"Info": {
"TotalResults": 0,
"Limit": 0,
"Offset": 0
}
},
"ErrorMessages": [
"string"
]
}| Field | Type |
|---|---|
StatusCode | string |
Page | object |
ErrorMessages | array of string |
GET /api/blog/{blogId}
Get a blog summary by blog id
🔒Access — Requires the ADMIN_CONTENT_BLOGS permission
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
blogId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 404 |
Response body
{
"BlogId": 0,
"PersonId": 0,
"Summary": "string",
"Active": true,
"SectionId": 0,
"PublicPrivate": true,
"BlogType": 0,
"IsSubscribed": true,
"Owner": {
"Id": 0,
"AssetId": 0,
"Name": "string"
}
}| Field | Type |
|---|---|
BlogId | integer (int32) |
PersonId | integer (int32) |
Summary | string |
Active | boolean |
SectionId | integer (int32) |
PublicPrivate | boolean |
BlogType | integer (int32) |
IsSubscribed | boolean |
Owner | object |
POST /api/blog
Adds a new blog post
🔒Access — Requires the ADMIN_CONTENT_BLOGS permission
Request body
{
"PostId": 0,
"BlogId": 0,
"Title": "string",
"Body": "string",
"AddedBy": 0,
"DateAdded": "2024-01-01T00:00:00Z",
"Active": true,
"PersonId": 0,
"Featured": true,
"AssetId": 0,
"BlogTemplateId": 0,
"MinutesToRead": 0,
"Summary": "string",
"Likes": 0,
"Comments": 0,
"Shares": 0,
"IsLiked": true
}| Field | Type |
|---|---|
PostId | integer (int32) |
BlogId | integer (int32) |
Title | string |
Body | string |
AddedBy | integer (int32) |
DateAdded | string (date-time) |
Active | boolean |
PersonId | integer (int32) |
Featured | boolean |
AssetId | integer (int32) |
BlogTemplateId | integer (int32) |
MinutesToRead | integer (int32) |
Summary | string |
Likes | integer (int32) |
Comments | integer (int32) |
Shares | integer (int32) |
IsLiked | boolean |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 404 | |
| 500 |
Response body
{
"Title": "string",
"Context": 0,
"Description": "string",
"StatusCode": "Continue",
"ErrorCollection": {},
"HasErrors": true,
"TotalResults": 0
}| Field | Type |
|---|---|
Title | string |
Context | integer (int32) |
Description | string |
StatusCode | string |
ErrorCollection | object |
HasErrors | boolean |
TotalResults | integer (int32) |
PUT /api/blog/{blogId}/activate
Activate the blog.
🔒Access — Requires the ADMIN_CONTENT_BLOGS permission
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
blogId |
path | integer (int32) | Yes |
Request body
{
"Value": true
}| Field | Type |
|---|---|
Value | boolean |
Responses
| Status | Body |
|---|---|
| 200 | boolean |
| 404 |
GET /api/blog/blog-post/featured
Get a list of featured blog posts
🔒Access — Requires the ADMIN_CONTENT_BLOGS permission
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
offset |
query | integer (int32) | No | |
limit |
query | integer (int32) | No |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 404 | |
| 500 |
Response body
{
"StatusCode": "Continue",
"Page": {
"Items": [
{
"BlogId": 0,
"PostId": 0,
"TemplateId": 0,
"Title": "string",
"Summary": "string",
"Body": "string",
"AssetId": 0,
"DateAdded": "2024-01-01T00:00:00Z",
"Stats": {
"Likes": 0,
"Comments": 0,
"Shares": 0
},
"MinutesToRead": 0,
"IsFeatured": true,
"Owner": {
"Id": 0,
"AssetId": 0,
"Name": "string"
},
"IsLiked": true,
"IsPublished": true
}
],
"HasResults": true,
"Info": {
"TotalResults": 0,
"Limit": 0,
"Offset": 0
}
},
"ErrorMessages": [
"string"
]
}| Field | Type |
|---|---|
StatusCode | string |
Page | object |
ErrorMessages | array of string |
GET /api/blog/blog-post/latest
List the latest blog posts.
🔒Access — Requires the ADMIN_CONTENT_BLOGS permission
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
offset |
query | integer (int32) | No | |
limit |
query | integer (int32) | No |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 500 |
Response body
{
"StatusCode": "Continue",
"Page": {
"Items": [
{
"BlogId": 0,
"PostId": 0,
"TemplateId": 0,
"Title": "string",
"Summary": "string",
"Body": "string",
"AssetId": 0,
"DateAdded": "2024-01-01T00:00:00Z",
"Stats": {
"Likes": 0,
"Comments": 0,
"Shares": 0
},
"MinutesToRead": 0,
"IsFeatured": true,
"Owner": {
"Id": 0,
"AssetId": 0,
"Name": "string"
},
"IsLiked": true,
"IsPublished": true
}
],
"HasResults": true,
"Info": {
"TotalResults": 0,
"Limit": 0,
"Offset": 0
}
},
"ErrorMessages": [
"string"
]
}| Field | Type |
|---|---|
StatusCode | string |
Page | object |
ErrorMessages | array of string |
GET /api/blog/blog-post/popular
List the popular blog posts.
🔒Access — Requires the ADMIN_CONTENT_BLOGS permission
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
offset |
query | integer (int32) | No | |
limit |
query | integer (int32) | No |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 500 |
Response body
{
"StatusCode": "Continue",
"Page": {
"Items": [
{
"BlogId": 0,
"PostId": 0,
"TemplateId": 0,
"Title": "string",
"Summary": "string",
"Body": "string",
"AssetId": 0,
"DateAdded": "2024-01-01T00:00:00Z",
"Stats": {
"Likes": 0,
"Comments": 0,
"Shares": 0
},
"MinutesToRead": 0,
"IsFeatured": true,
"Owner": {
"Id": 0,
"AssetId": 0,
"Name": "string"
},
"IsLiked": true,
"IsPublished": true
}
],
"HasResults": true,
"Info": {
"TotalResults": 0,
"Limit": 0,
"Offset": 0
}
},
"ErrorMessages": [
"string"
]
}| Field | Type |
|---|---|
StatusCode | string |
Page | object |
ErrorMessages | array of string |
GET /api/blog/blog-post/subscribed
List the subscribed blog posts.
🔒Access — Requires the ADMIN_CONTENT_BLOGS permission
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
offset |
query | integer (int32) | No | |
limit |
query | integer (int32) | No |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 500 |
Response body
{
"StatusCode": "Continue",
"Page": {
"Items": [
{
"BlogId": 0,
"PostId": 0,
"TemplateId": 0,
"Title": "string",
"Summary": "string",
"Body": "string",
"AssetId": 0,
"DateAdded": "2024-01-01T00:00:00Z",
"Stats": {
"Likes": 0,
"Comments": 0,
"Shares": 0
},
"MinutesToRead": 0,
"IsFeatured": true,
"Owner": {
"Id": 0,
"AssetId": 0,
"Name": "string"
},
"IsLiked": true,
"IsPublished": true
}
],
"HasResults": true,
"Info": {
"TotalResults": 0,
"Limit": 0,
"Offset": 0
}
},
"ErrorMessages": [
"string"
]
}| Field | Type |
|---|---|
StatusCode | string |
Page | object |
ErrorMessages | array of string |
GET /api/blog/blog-post/{blogPostId}
Get a blog post by it's ID
🔒Access — Requires the ADMIN_CONTENT_BLOGS permission
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
blogPostId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 404 | |
| 500 |
Response body
{
"BlogId": 0,
"PostId": 0,
"TemplateId": 0,
"Title": "string",
"Summary": "string",
"Body": "string",
"AssetId": 0,
"DateAdded": "2024-01-01T00:00:00Z",
"Stats": {
"Likes": 0,
"Comments": 0,
"Shares": 0
},
"MinutesToRead": 0,
"IsFeatured": true,
"Owner": {
"Id": 0,
"AssetId": 0,
"Name": "string"
},
"IsLiked": true,
"IsPublished": true
}| Field | Type |
|---|---|
BlogId | integer (int32) |
PostId | integer (int32) |
TemplateId | integer (int32) |
Title | string |
Summary | string |
Body | string |
AssetId | integer (int32) |
DateAdded | string (date-time) |
Stats | object |
MinutesToRead | integer (int32) |
IsFeatured | boolean |
Owner | object |
IsLiked | boolean |
IsPublished | boolean |
GET /api/blog/{blogId}/blog-post
Get a list of blog posts by Blog Id
🔒Access — Requires the ADMIN_CONTENT_BLOGS permission
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
blogId |
path | integer (int32) | Yes | |
offset |
query | integer (int32) | No | |
limit |
query | integer (int32) | No |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 404 |
Response body
{
"StatusCode": "Continue",
"Page": {
"Items": [
{
"BlogId": 0,
"PostId": 0,
"TemplateId": 0,
"Title": "string",
"Summary": "string",
"Body": "string",
"AssetId": 0,
"DateAdded": "2024-01-01T00:00:00Z",
"Stats": {
"Likes": 0,
"Comments": 0,
"Shares": 0
},
"MinutesToRead": 0,
"IsFeatured": true,
"Owner": {
"Id": 0,
"AssetId": 0,
"Name": "string"
},
"IsLiked": true,
"IsPublished": true
}
],
"HasResults": true,
"Info": {
"TotalResults": 0,
"Limit": 0,
"Offset": 0
}
},
"ErrorMessages": [
"string"
]
}| Field | Type |
|---|---|
StatusCode | string |
Page | object |
ErrorMessages | array of string |
GET /api/person/{id}/blog-post
List blog posts.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id |
path | integer (int32) | Yes | |
includeOwner |
query | boolean | No | |
offset |
query | integer (int32) | No | |
limit |
query | integer (int32) | No |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 500 |
Response body
{
"StatusCode": "Continue",
"Page": {
"Items": [
{
"BlogId": 0,
"PostId": 0,
"TemplateId": 0,
"Title": "string",
"Summary": "string",
"Body": "string",
"AssetId": 0,
"DateAdded": "2024-01-01T00:00:00Z",
"Stats": {
"Likes": 0,
"Comments": 0,
"Shares": 0
},
"MinutesToRead": 0,
"IsFeatured": true,
"Owner": {
"Id": 0,
"AssetId": 0,
"Name": "string"
},
"IsLiked": true,
"IsPublished": true
}
],
"HasResults": true,
"Info": {
"TotalResults": 0,
"Limit": 0,
"Offset": 0
}
},
"ErrorMessages": [
"string"
]
}| Field | Type |
|---|---|
StatusCode | string |
Page | object |
ErrorMessages | array of string |
POST /api/blog/{blogId}/blog-post/date
Create a date.
🔒Access — Requires the ADMIN_CONTENT_BLOGS permission
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
blogId |
path | integer (int32) | Yes | |
offset |
query | integer (int32) | No | |
limit |
query | integer (int32) | No |
Request body
{
"PublishedFromDate": "2024-01-01T00:00:00Z",
"PublishedToDate": "2024-01-01T00:00:00Z"
}| Field | Type |
|---|---|
PublishedFromDate | string (date-time) |
PublishedToDate | string (date-time) |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 500 |
Response body
{
"StatusCode": "Continue",
"Result": {
"PostId": 0,
"BlogId": 0,
"Title": "string",
"Body": "string",
"AddedBy": 0,
"DateAdded": "2024-01-01T00:00:00Z",
"Active": true,
"PersonId": 0,
"Featured": true,
"AssetId": 0,
"BlogTemplateId": 0,
"MinutesToRead": 0,
"Summary": "string",
"Likes": 0,
"Comments": 0,
"Shares": 0,
"IsLiked": true
},
"TotalResults": 0,
"Page": 0,
"Size": 0
}| Field | Type |
|---|---|
StatusCode | string |
Result | object |
TotalResults | integer (int32) |
Page | integer (int32) |
Size | integer (int32) |
POST /api/blog/{blogId}/blog-post/{blogPostId}/like
Adds a like reaction to the specified blog post
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
blogId |
path | integer (int32) | Yes | |
blogPostId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | |
| 400 |
POST /api/blog/{blogId}/blog-post/{blogPostId}/share
Shares a blog post
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
blogId |
path | integer (int32) | Yes | |
blogPostId |
path | integer (int32) | Yes |
Request body
"string"No documented fields.
Responses
| Status | Body |
|---|---|
| 200 | |
| 400 |
PUT /api/blog/{blogId}/blog-post/{blogPostId}
Update an existing blog post
🔒Access — Requires the ADMIN_CONTENT_BLOGS permission
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
blogId |
path | string | Yes | |
blogPostId |
path | string | Yes |
Request body
{
"PostId": 0,
"BlogId": 0,
"Title": "string",
"Body": "string",
"AddedBy": 0,
"DateAdded": "2024-01-01T00:00:00Z",
"Active": true,
"PersonId": 0,
"Featured": true,
"AssetId": 0,
"BlogTemplateId": 0,
"MinutesToRead": 0,
"Summary": "string",
"Likes": 0,
"Comments": 0,
"Shares": 0,
"IsLiked": true
}| Field | Type |
|---|---|
PostId | integer (int32) |
BlogId | integer (int32) |
Title | string |
Body | string |
AddedBy | integer (int32) |
DateAdded | string (date-time) |
Active | boolean |
PersonId | integer (int32) |
Featured | boolean |
AssetId | integer (int32) |
BlogTemplateId | integer (int32) |
MinutesToRead | integer (int32) |
Summary | string |
Likes | integer (int32) |
Comments | integer (int32) |
Shares | integer (int32) |
IsLiked | boolean |
Responses
| Status | Body |
|---|---|
| 200 | |
| 404 | |
| 500 |
DELETE /api/blog/{blogId}/blog-post/{blogPostId}
Delete a blog post by post Id
🔒Access — Requires the ADMIN_CONTENT_BLOGS permission
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
blogPostId |
path | integer (int32) | Yes | |
blogId |
path | string | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 404 |
Response body
{
"Title": "string",
"Context": true,
"Description": "string",
"StatusCode": "Continue",
"ErrorCollection": {},
"HasErrors": true,
"TotalResults": 0
}| Field | Type |
|---|---|
Title | string |
Context | boolean |
Description | string |
StatusCode | string |
ErrorCollection | object |
HasErrors | boolean |
TotalResults | integer (int32) |
DELETE /api/blog/{blogId}/blog-post/{blogPostId}/like
Removes a like reaction for the specified blog post
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
blogId |
path | integer (int32) | Yes | |
blogPostId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | |
| 400 |
GET /api/blog/person/blog-configuration
Gets the initialization settings for the blog Allows user with no access to blogs to access as required for frontend functionality in person profile and people directory
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 404 | |
| 500 |
Response body
{
"StatusCode": "Continue",
"Item": {
"HasBlogPosts": true,
"HasBlogPublishPermission": true,
"HasBlogPermission": true,
"BlogId": 0,
"IsDisabled": true,
"VideoUploadEnabled": true,
"MediaEmbedPluginEnabled": true,
"ShowFollowUnfollow": true,
"DisplayInteractRecommendsOnPersonalBlogs": true
},
"ErrorMessages": [
"string"
]
}| Field | Type |
|---|---|
StatusCode | string |
Item | object |
ErrorMessages | array of string |
GET /api/blog/{blogId}/person/{personId}/is-subscribed
Check whether the person is subscribed.
🔒Access — Requires the ADMIN_CONTENT_BLOGS permission
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
blogId |
path | integer (int32) | Yes | |
personId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | boolean |
| 500 |
POST /api/blog/person/{personId}/blog-activate
Activates the blog for the user
🔒Access — Requires the ADMIN_CONTENT_BLOGS permission
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
personId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | integer (int32) |
| 404 |
POST /api/blog/{blogId}/person/{personId}/subscribe
Subscribe to the person.
🔒Access — Requires the ADMIN_CONTENT_BLOGS permission
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
blogId |
path | integer (int32) | Yes | |
personId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | boolean |
| 500 |
POST /api/blog/{blogId}/person/{personId}/unsubscribe
Unsubscribe from the person.
🔒Access — Requires the ADMIN_CONTENT_BLOGS permission
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
blogId |
path | integer (int32) | Yes | |
personId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | boolean |
| 500 |
GET /api/blog/post/{postId}
Get a blogId by post id
🔒Access — Requires the ADMIN_CONTENT_BLOGS permission
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
postId |
path | integer (int32) | Yes |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 404 |
Response body
{
"Title": "string",
"Context": 0,
"Description": "string",
"StatusCode": "Continue",
"ErrorCollection": {},
"HasErrors": true,
"TotalResults": 0
}| Field | Type |
|---|---|
Title | string |
Context | integer (int32) |
Description | string |
StatusCode | string |
ErrorCollection | object |
HasErrors | boolean |
TotalResults | integer (int32) |
GET /api/blog/post/{postId}/like
Get a list of people who liked the blog post
🔒Access — Requires the ADMIN_CONTENT_BLOGS permission
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
postId |
path | integer (int32) | Yes | |
offset |
query | integer (int32) | No | |
limit |
query | integer (int32) | No |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 404 |
Response body
{
"StatusCode": "Continue",
"Page": {
"Items": [
{
"Id": 0,
"FullName": "string",
"AssetId": 0,
"JobTitle": "string",
"Department": "string",
"IsFollowing": true,
"IsActive": true
}
],
"HasResults": true,
"Info": {
"TotalResults": 0,
"Limit": 0,
"Offset": 0
}
},
"ErrorMessages": [
"string"
]
}| Field | Type |
|---|---|
StatusCode | string |
Page | object |
ErrorMessages | array of string |
PUT /api/blog/post/{postId}/active
Update the active (published) value of a blog post
🔒Access — Requires the ADMIN_CONTENT_BLOGS permission
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
postId |
path | integer (int32) | Yes |
Request body
trueNo documented fields.
Responses
| Status | Body |
|---|---|
| 200 | boolean |
| 404 |
PUT /api/blog/post/{postId}/featured
Update the featured value of a blog post
🔒Access — Requires the ADMIN_CONTENT_BLOGS permission
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
postId |
path | integer (int32) | Yes |
Request body
{
"Value": true
}| Field | Type |
|---|---|
Value | boolean |
Responses
| Status | Body |
|---|---|
| 200 | See below |
| 404 |
Response body
{
"Title": "string",
"Context": true,
"Description": "string",
"StatusCode": "Continue",
"ErrorCollection": {},
"HasErrors": true,
"TotalResults": 0
}| Field | Type |
|---|---|
Title | string |
Context | boolean |
Description | string |
StatusCode | string |
ErrorCollection | object |
HasErrors | boolean |
TotalResults | integer (int32) |